Create a decision request
POST
/v1/review-tasks/{reviewTaskId}/decision-requestscurl -X POST 'https://api.embodiflow.io/v1/review-tasks/{reviewTaskId}/decision-requests' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"decision": "approve",
"comment": "string",
"acceptedItemIds": [
"string"
],
"rejectedItemIds": [
"string"
],
"rejectedQueryDescriptors": [
"string"
]
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- reviewTaskIdstringrequired
Header parameters
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
Request body
Content-Typeapplication/json
- decisionstringrequiredAllowed valuesapprovereject
- commentstring | null
- acceptedItemIdsarray<string>
- rejectedItemIdsarray<string>
- rejectedQueryDescriptorsarray<string>
Responses
Success
- dataobjectrequired
- idstringrequired
- tenantIdstringrequired
- projectIdstringrequired
- workflowRunIdstringrequired
- subjectTypestringrequired
- subjectRefIdstringrequired
- statusstringrequired
- decisionstring | nullrequired
- reviewerProjectMembershipIdstring | nullrequired
- dueAtstring | nullrequired
- stepKeystringrequired
- taskTitlestringrequired
- overdueone ofrequired
- createdAtstringrequired
- updatedAtstringrequired
Response example
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"workflowRunId": "string",
"subjectType": "string",
"subjectRefId": "string",
"status": "string",
"decision": "string",
"reviewerProjectMembershipId": "string",
"dueAt": "string",
"stepKey": "string",
"taskTitle": "string",
"overdue": false,
"createdAt": "string",
"updatedAt": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1